## Optional Fields
Some objects returned by the API may have fields that are not included in the JSON response by default. Those optional fields can be requested by adding an `optional_fields` parameter to the request. For example, to request a list of stories and include the optional field `can_edit`, you could request `/stories.json?optional_fields=can_edit`. Each story in the response will include the requested optional field in their JSON.
Multiple optional fields may be requested simultaneously by adding comma-separated values to the `optional_fields` parameter. For example, to fetch stories and include both `can_edit` and `can_post` fields in the response, you can request `/stories.json?optional_fields=can_edit,can_post`.
*Example*

```curl
curl -H "Authorization: Bearer abc123" "https://api.mavenlink.com/api/v1/stories.json?optional_fields=can_edit,can_post"
```

```json
{
  "count": 1,
  "results": [
    {
      "key": "stories",
      "id": "1941361"
    }
  ],
  "stories": {
    "1937928": {
      "title": "Example Story",
      "description": "example description",
      ...
      "subtree_depth": 0,
      "ancestry_depth": 0,
      "can_edit": true,
      "can_post": true,
      "time_trackable": true,
      "time_estimate_in_minutes": null,
      ...
      "parent_id": null,
      "root_id": null,
      "id": "1937928"
    }
  },
  "meta": {
    "count": 1,
    "page_count": 1,
    "page_number": 1,
    "page_size": 20
  }
}
```
